Page MenuHomePhabricator

Show "Can Merge: Yes / No" status on dashboard
Closed, ResolvedPublic

Description

Some of these need to be rebased. I wonder which ones…

Gerrit should show "Can Merge: Yes / No" status on my dashboard.

When you have thirty patches you really are not going to check every single one to see if they need action.

See Also: T65995: Provide search operator "is:mergeable" in Gerrit

Details

Reference
bz50297

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 1:41 AM
bzimport added a project: Gerrit.
bzimport set Reference to bz50297.
bzimport added a subscriber: Unknown Object (MLST).
matmarex created this task.Jun 27 2013, 4:06 PM
demon added a comment.Jun 27 2013, 4:13 PM

I don't like this idea...the dashboard is cluttered enough as it is.

Plus I think it'll encourage needless rebasing. People don't need to rebase every time a patch is a bit behind master...just when they're going to merge and there's conflicts (or if there's something in master you want you work to be based on).

I don't like the idea of putting it on the dashboard either, but could we please have a way to search by Can Merge status?

demon removed a subscriber: demon.Dec 8 2014, 6:25 PM
hashar added a subscriber: hashar.Jul 6 2015, 12:03 PM

For search we would need Gerrit 2.9 which has the is:mergeable search stanza. So that is blocked on T70271: Upgrade gerrit to 2.12.

hashar triaged this task as Lowest priority.Jul 6 2015, 12:03 PM
Florian added a subscriber: Florian.Jul 6 2015, 2:38 PM
matmarex updated the task description. (Show Details)Jul 6 2015, 3:22 PM
matmarex set Security to None.
demon closed this task as Resolved.Jul 25 2016, 3:31 PM
demon claimed this task.
demon added a subscriber: demon.

This is a thing now.